import { HarnessEnvironment } from '@angular/cdk/testing';
import { UnitTestElement } from '@angular/cdk/testing/testbed';
import { AngularContextNext } from './angular-context-next';
/** @hidden */
export declare class FakeAsyncHarnessEnvironmentNext extends HarnessEnvironment<Element> {
    private ctx;
    static documentRootLoader(ctx: AngularContextNext): FakeAsyncHarnessEnvironmentNext;
    protected constructor(rawRootElement: Element, ctx: AngularContextNext);
    waitForTasksOutsideAngular(): Promise<void>;
    forceStabilize(): Promise<void>;
    protected createEnvironment(element: Element): HarnessEnvironment<Element>;
    protected createTestElement(element: Element): UnitTestElement;
    protected getAllRawElements(selector: string): Promise<Element[]>;
    protected getDocumentRoot(): Element;
}
