import { Type } from '@angular/core';
/** @hidden */
export interface WrapperComponent<T> {
    inputs: Partial<T>;
    styles: {
        [klass: string]: any;
    };
}
/** @hidden */
interface DynamicWrapper<T> {
    type: Type<WrapperComponent<T>>;
    inputProperties: Array<keyof T>;
}
/** @hidden */
export declare function createDynamicWrapper<T>(componentType: Type<T>, unboundInputs: Array<keyof T>): DynamicWrapper<T>;
export {};
