(function (global, factory) {
    typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('@s-libs/js-core'), require('@s-libs/micro-dash'), require('@angular/common/http/testing'), require('@angular/core'), require('@angular/core/testing'), require('@angular/cdk/testing'), require('@angular/cdk/testing/testbed'), require('@angular/platform-browser/animations'), require('@angular/platform-browser'), require('rxjs/testing'), require('@angular/compiler'), require('@angular/platform-browser-dynamic/testing')) :
    typeof define === 'function' && define.amd ? define('@s-libs/ng-dev', ['exports', '@s-libs/js-core', '@s-libs/micro-dash', '@angular/common/http/testing', '@angular/core', '@angular/core/testing', '@angular/cdk/testing', '@angular/cdk/testing/testbed', '@angular/platform-browser/animations', '@angular/platform-browser', 'rxjs/testing', '@angular/compiler', '@angular/platform-browser-dynamic/testing'], factory) :
    (global = typeof globalThis !== 'undefined' ? globalThis : global || self, factory((global['s-libs'] = global['s-libs'] || {}, global['s-libs']['ng-dev'] = {}), global.jsCore, global.microDash, global.ng.common.http.testing, global.ng.core, global.ng.core.testing, global.ng.cdk.testing, global.ng.cdk.testing.testbed, global.ng.platformBrowser.animations, global.ng.platformBrowser, global.rxjs.testing, global.ng.compiler, global.ng.platformBrowserDynamic.testing));
}(this, (function (exports, jsCore, microDash, testing$2, core, testing, testing$1, testbed, animations, platformBrowser, testing$3, compiler, testing$4) { 'use strict';

    /*! *****************************************************************************
    Copyright (c) Microsoft Corporation.

    Permission to use, copy, modify, and/or distribute this software for any
    purpose with or without fee is hereby granted.

    THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES WITH
    REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY
    AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY SPECIAL, DIRECT,
    INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM
    LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
    OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
    PERFORMANCE OF THIS SOFTWARE.
    ***************************************************************************** */
    /* global Reflect, Promise */
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b)
                if (Object.prototype.hasOwnProperty.call(b, p))
                    d[p] = b[p]; };
        return extendStatics(d, b);
    };
    function __extends(d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    }
    var __assign = function () {
        __assign = Object.assign || function __assign(t) {
            for (var s, i = 1, n = arguments.length; i < n; i++) {
                s = arguments[i];
                for (var p in s)
                    if (Object.prototype.hasOwnProperty.call(s, p))
                        t[p] = s[p];
            }
            return t;
        };
        return __assign.apply(this, arguments);
    };
    function __rest(s, e) {
        var t = {};
        for (var p in s)
            if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
                t[p] = s[p];
        if (s != null && typeof Object.getOwnPropertySymbols === "function")
            for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
                if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                    t[p[i]] = s[p[i]];
            }
        return t;
    }
    function __decorate(decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
            r = Reflect.decorate(decorators, target, key, desc);
        else
            for (var i = decorators.length - 1; i >= 0; i--)
                if (d = decorators[i])
                    r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    }
    function __param(paramIndex, decorator) {
        return function (target, key) { decorator(target, key, paramIndex); };
    }
    function __metadata(metadataKey, metadataValue) {
        if (typeof Reflect === "object" && typeof Reflect.metadata === "function")
            return Reflect.metadata(metadataKey, metadataValue);
    }
    function __awaiter(thisArg, _arguments, P, generator) {
        function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
        return new (P || (P = Promise))(function (resolve, reject) {
            function fulfilled(value) { try {
                step(generator.next(value));
            }
            catch (e) {
                reject(e);
            } }
            function rejected(value) { try {
                step(generator["throw"](value));
            }
            catch (e) {
                reject(e);
            } }
            function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
            step((generator = generator.apply(thisArg, _arguments || [])).next());
        });
    }
    function __generator(thisArg, body) {
        var _ = { label: 0, sent: function () { if (t[0] & 1)
                throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
        return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function () { return this; }), g;
        function verb(n) { return function (v) { return step([n, v]); }; }
        function step(op) {
            if (f)
                throw new TypeError("Generator is already executing.");
            while (_)
                try {
                    if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done)
                        return t;
                    if (y = 0, t)
                        op = [op[0] & 2, t.value];
                    switch (op[0]) {
                        case 0:
                        case 1:
                            t = op;
                            break;
                        case 4:
                            _.label++;
                            return { value: op[1], done: false };
                        case 5:
                            _.label++;
                            y = op[1];
                            op = [0];
                            continue;
                        case 7:
                            op = _.ops.pop();
                            _.trys.pop();
                            continue;
                        default:
                            if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) {
                                _ = 0;
                                continue;
                            }
                            if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) {
                                _.label = op[1];
                                break;
                            }
                            if (op[0] === 6 && _.label < t[1]) {
                                _.label = t[1];
                                t = op;
                                break;
                            }
                            if (t && _.label < t[2]) {
                                _.label = t[2];
                                _.ops.push(op);
                                break;
                            }
                            if (t[2])
                                _.ops.pop();
                            _.trys.pop();
                            continue;
                    }
                    op = body.call(thisArg, _);
                }
                catch (e) {
                    op = [6, e];
                    y = 0;
                }
                finally {
                    f = t = 0;
                }
            if (op[0] & 5)
                throw op[1];
            return { value: op[0] ? op[1] : void 0, done: true };
        }
    }
    var __createBinding = Object.create ? (function (o, m, k, k2) {
        if (k2 === undefined)
            k2 = k;
        Object.defineProperty(o, k2, { enumerable: true, get: function () { return m[k]; } });
    }) : (function (o, m, k, k2) {
        if (k2 === undefined)
            k2 = k;
        o[k2] = m[k];
    });
    function __exportStar(m, o) {
        for (var p in m)
            if (p !== "default" && !Object.prototype.hasOwnProperty.call(o, p))
                __createBinding(o, m, p);
    }
    function __values(o) {
        var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
        if (m)
            return m.call(o);
        if (o && typeof o.length === "number")
            return {
                next: function () {
                    if (o && i >= o.length)
                        o = void 0;
                    return { value: o && o[i++], done: !o };
                }
            };
        throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    }
    function __read(o, n) {
        var m = typeof Symbol === "function" && o[Symbol.iterator];
        if (!m)
            return o;
        var i = m.call(o), r, ar = [], e;
        try {
            while ((n === void 0 || n-- > 0) && !(r = i.next()).done)
                ar.push(r.value);
        }
        catch (error) {
            e = { error: error };
        }
        finally {
            try {
                if (r && !r.done && (m = i["return"]))
                    m.call(i);
            }
            finally {
                if (e)
                    throw e.error;
            }
        }
        return ar;
    }
    function __spread() {
        for (var ar = [], i = 0; i < arguments.length; i++)
            ar = ar.concat(__read(arguments[i]));
        return ar;
    }
    function __spreadArrays() {
        for (var s = 0, i = 0, il = arguments.length; i < il; i++)
            s += arguments[i].length;
        for (var r = Array(s), k = 0, i = 0; i < il; i++)
            for (var a = arguments[i], j = 0, jl = a.length; j < jl; j++, k++)
                r[k] = a[j];
        return r;
    }
    ;
    function __await(v) {
        return this instanceof __await ? (this.v = v, this) : new __await(v);
    }
    function __asyncGenerator(thisArg, _arguments, generator) {
        if (!Symbol.asyncIterator)
            throw new TypeError("Symbol.asyncIterator is not defined.");
        var g = generator.apply(thisArg, _arguments || []), i, q = [];
        return i = {}, verb("next"), verb("throw"), verb("return"), i[Symbol.asyncIterator] = function () { return this; }, i;
        function verb(n) { if (g[n])
            i[n] = function (v) { return new Promise(function (a, b) { q.push([n, v, a, b]) > 1 || resume(n, v); }); }; }
        function resume(n, v) { try {
            step(g[n](v));
        }
        catch (e) {
            settle(q[0][3], e);
        } }
        function step(r) { r.value instanceof __await ? Promise.resolve(r.value.v).then(fulfill, reject) : settle(q[0][2], r); }
        function fulfill(value) { resume("next", value); }
        function reject(value) { resume("throw", value); }
        function settle(f, v) { if (f(v), q.shift(), q.length)
            resume(q[0][0], q[0][1]); }
    }
    function __asyncDelegator(o) {
        var i, p;
        return i = {}, verb("next"), verb("throw", function (e) { throw e; }), verb("return"), i[Symbol.iterator] = function () { return this; }, i;
        function verb(n, f) { i[n] = o[n] ? function (v) { return (p = !p) ? { value: __await(o[n](v)), done: n === "return" } : f ? f(v) : v; } : f; }
    }
    function __asyncValues(o) {
        if (!Symbol.asyncIterator)
            throw new TypeError("Symbol.asyncIterator is not defined.");
        var m = o[Symbol.asyncIterator], i;
        return m ? m.call(o) : (o = typeof __values === "function" ? __values(o) : o[Symbol.iterator](), i = {}, verb("next"), verb("throw"), verb("return"), i[Symbol.asyncIterator] = function () { return this; }, i);
        function verb(n) { i[n] = o[n] && function (v) { return new Promise(function (resolve, reject) { v = o[n](v), settle(resolve, reject, v.done, v.value); }); }; }
        function settle(resolve, reject, d, v) { Promise.resolve(v).then(function (v) { resolve({ value: v, done: d }); }, reject); }
    }
    function __makeTemplateObject(cooked, raw) {
        if (Object.defineProperty) {
            Object.defineProperty(cooked, "raw", { value: raw });
        }
        else {
            cooked.raw = raw;
        }
        return cooked;
    }
    ;
    var __setModuleDefault = Object.create ? (function (o, v) {
        Object.defineProperty(o, "default", { enumerable: true, value: v });
    }) : function (o, v) {
        o["default"] = v;
    };
    function __importStar(mod) {
        if (mod && mod.__esModule)
            return mod;
        var result = {};
        if (mod != null)
            for (var k in mod)
                if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k))
                    __createBinding(result, mod, k);
        __setModuleDefault(result, mod);
        return result;
    }
    function __importDefault(mod) {
        return (mod && mod.__esModule) ? mod : { default: mod };
    }
    function __classPrivateFieldGet(receiver, privateMap) {
        if (!privateMap.has(receiver)) {
            throw new TypeError("attempted to get private field on non-instance");
        }
        return privateMap.get(receiver);
    }
    function __classPrivateFieldSet(receiver, privateMap, value) {
        if (!privateMap.has(receiver)) {
            throw new TypeError("attempted to set private field on non-instance");
        }
        privateMap.set(receiver, value);
        return value;
    }

    /**
     * A mock method call that was made and is ready to be answered. This interface allows access to the underlying <code>jasmine.CallInfo</code>, and allows resolving or rejecting the asynchronous call's result.
     */
    var TestCall = /** @class */ (function () {
        function TestCall(deferred, ctx) {
            this.deferred = deferred;
            this.ctx = ctx;
        }
        /**
         * Resolve the call with the given value.
         */
        TestCall.prototype.flush = function (value) {
            var _a;
            this.deferred.resolve(value);
            (_a = this.ctx) === null || _a === void 0 ? void 0 : _a.tick();
        };
        /**
         * Reject the call with the given reason.
         */
        TestCall.prototype.error = function (reason) {
            var _a;
            this.deferred.reject(reason);
            (_a = this.ctx) === null || _a === void 0 ? void 0 : _a.tick();
        };
        return TestCall;
    }());

    var _spy, _testCalls;
    /**
     * Controller to be used in tests, that allows for mocking and flushing any asynchronous function. For example, to mock the browser's paste functionality:
     *
     * ```ts
     *  it('can paste', () => {
     *   const clipboard = navigator.clipboard;
     *   const ctx = new AngularContextNext();
     *
     *   // mock the browser API for pasting
     *   const controller = new AsyncMethodController(clipboard, 'readText', {
     *     ctx,
     *   });
     *   ctx.run(() => {
     *     // BEGIN production code that copies to the clipboard
     *     let pastedText: string;
     *     clipboard.readText().then((text) => {
     *       pastedText = text;
     *     });
     *     // END production code that copies to the clipboard
     *
     *     // mock the behavior when the user denies access to the clipboard
     *     controller.expectOne([]).flush('mock clipboard contents');
     *
     *     // BEGIN expect the correct results after a successful copy
     *     expect(pastedText!).toBe('mock clipboard contents');
     *     // END expect the correct results after a successful copy
     *   });
     * });
     * ```
     */
    var AsyncMethodController = /** @class */ (function () {
        /**
         * Optionally provide `ctx` to automatically trigger promise handlers and changed detection after calling `flush()` or `error()`. This is the normal production behavior of asynchronous browser APIs. However, if the function you are stubbing is not patched by zone.js, change detection would not run automatically, in which case you many not want to pass this parameter. See the list of functions that zone.js patches [here](https://github.com/angular/angular/blob/master/packages/zone.js/STANDARD-APIS.md).
         */
        function AsyncMethodController(obj, methodName, _a) {
            var _this = this;
            var _b = (_a === void 0 ? {} : _a).ctx, ctx = _b === void 0 ? undefined : _b;
            _spy.set(this, void 0);
            _testCalls.set(this, []);
            // Note: it wasn't immediately clear how avoid `any` in this constructor, and this will be invisible to users. So I gave up. (For now?)
            __classPrivateFieldSet(this, _spy, spyOn(obj, methodName));
            __classPrivateFieldGet(this, _spy).and.callFake((function () {
                var deferred = new jsCore.Deferred();
                __classPrivateFieldGet(_this, _testCalls).push(new TestCall(deferred, ctx));
                return deferred.promise;
            }));
        }
        /**
         * Expect that a single call has been made which matches the given parameters or predicate, and return its mock. If no such call has been made, or more than one such call has been made, fail with an error message including `description`, if provided.
         */
        AsyncMethodController.prototype.expectOne = function (match, description) {
            var matches = this.match(match);
            if (matches.length !== 1) {
                throw new Error(this.buildErrorMessage({
                    matchType: 'one matching',
                    matches: matches,
                    stringifiedUserInput: this.stringifyUserInput(match, description),
                }));
            }
            return matches[0];
        };
        /**
         * Expect that no calls have been made which match the given parameters or predicate. If a matching call has been made, fail with an error message including `description`, if provided.
         */
        AsyncMethodController.prototype.expectNone = function (match, description) {
            var matches = this.match(match);
            if (matches.length > 0) {
                throw new Error(this.buildErrorMessage({
                    matchType: 'zero matching',
                    matches: matches,
                    stringifiedUserInput: this.stringifyUserInput(match, description),
                }));
            }
        };
        /**
         * Search for calls that match the given parameters or predicate, without any expectations.
         */
        AsyncMethodController.prototype.match = function (match) {
            this.ensureCallInfoIsSet();
            var filterFn = Array.isArray(match)
                ? this.makeArgumentMatcher(match)
                : match;
            return microDash.remove(__classPrivateFieldGet(this, _testCalls), function (testCall) { return filterFn(testCall.callInfo); });
        };
        /**
         * Verify that no unmatched calls are outstanding. If any calls are outstanding, fail with an error message indicating which calls were not handled.
         */
        AsyncMethodController.prototype.verify = function () {
            var e_1, _a;
            if (__classPrivateFieldGet(this, _testCalls).length) {
                this.ensureCallInfoIsSet();
                var message = this.buildErrorMessage({
                    matchType: 'no open',
                    matches: __classPrivateFieldGet(this, _testCalls),
                }) + ':';
                try {
                    for (var _b = __values(__classPrivateFieldGet(this, _testCalls)), _c = _b.next(); !_c.done; _c = _b.next()) {
                        var testCall = _c.value;
                        message += "\n  " + stringifyArgs(testCall.callInfo.args);
                    }
                }
                catch (e_1_1) { e_1 = { error: e_1_1 }; }
                finally {
                    try {
                        if (_c && !_c.done && (_a = _b.return)) _a.call(_b);
                    }
                    finally { if (e_1) throw e_1.error; }
                }
                throw new Error(message);
            }
        };
        AsyncMethodController.prototype.ensureCallInfoIsSet = function () {
            for (var i = 1; i <= __classPrivateFieldGet(this, _testCalls).length; ++i) {
                var testCall = microDash.nth(__classPrivateFieldGet(this, _testCalls), -i);
                if (testCall.callInfo) {
                    return;
                }
                testCall.callInfo = microDash.nth(__classPrivateFieldGet(this, _spy).calls.all(), -i);
            }
        };
        AsyncMethodController.prototype.makeArgumentMatcher = function (args) {
            return function (callInfo) { return microDash.isEqual(callInfo.args, args); };
        };
        AsyncMethodController.prototype.buildErrorMessage = function (_a) {
            var stringifiedUserInput = _a.stringifiedUserInput, matchType = _a.matchType, matches = _a.matches;
            var message = "Expected " + matchType + " call(s)";
            if (stringifiedUserInput) {
                message += " for criterion \"" + stringifiedUserInput + "\"";
            }
            message += ", found " + matches.length;
            return message;
        };
        AsyncMethodController.prototype.stringifyUserInput = function (match, description) {
            if (!description) {
                if (Array.isArray(match)) {
                    description = 'Match by arguments: ' + stringifyArgs(match);
                }
                else {
                    description = 'Match by function: ' + match.name;
                }
            }
            return description;
        };
        return AsyncMethodController;
    }());
    _spy = new WeakMap(), _testCalls = new WeakMap();
    /** @hidden */
    function stringifyArgs(args) {
        return JSON.stringify(args);
    }

    // adapted from https://github.com/ngneat/spectator/blob/e13c9554778bdb179dfc7235aedb4b3b90302850/projects/spectator/src/lib/mock.ts
    /**
     * Creates a new object with jasmine spies for each method in `type`.
     *
     * ```ts
     * class Greeter {
     *   greet(name: string) {
     *     return `Hello, ${name}!`;
     *   }
     * }
     *
     * const spyObject = createSpyObject(Greeter);
     * spyObject.greet.and.returnValue("Hello, stub!");
     * expect(spyObject.greet("Eric")).toBe("Hello, stub!");
     * expectSingleCallAndReset(spyObject.greet, "Eric");
     * ```
     */
    function createSpyObject(type) {
        var e_1, _a;
        var mock = {};
        for (var proto = type.prototype; proto; proto = Object.getPrototypeOf(proto)) {
            try {
                for (var _b = (e_1 = void 0, __values(microDash.functions(proto))), _c = _b.next(); !_c.done; _c = _b.next()) {
                    var key = _c.value;
                    mock[key] = jasmine.createSpy(key);
                }
            }
            catch (e_1_1) { e_1 = { error: e_1_1 }; }
            finally {
                try {
                    if (_c && !_c.done && (_a = _b.return)) _a.call(_b);
                }
                finally { if (e_1) throw e_1.error; }
            }
        }
        return mock;
    }

    /**
     * Expects the spy to have been called the exact number of times as the argument lists provided, with those arguments, then resets the spy.
     *
     * ```ts
     * const spy = jasmine.createSpy();
     *
     * spy(1)
     * spy(2, 3)
     * spy()
     * expectCallsAndReset(spy, [1], [2, 3], []);
     * ```
     */
    function expectCallsAndReset(spy) {
        var allArgs = [];
        for (var _i = 1; _i < arguments.length; _i++) {
            allArgs[_i - 1] = arguments[_i];
        }
        expect(spy).toHaveBeenCalledTimes(allArgs.length);
        expect(spy.calls.allArgs()).toEqual(allArgs);
        spy.calls.reset();
    }

    /**
     * Expects exactly one call to have been made to a jasmine spy, for it to have received the given arguments, then resets the spy.
     *
     * ```ts
     * const spy = jasmine.createSpy();
     *
     * spy(1, 2);
     * expectSingleCallAndReset(spy, 1, 2); // pass
     * expectSingleCallAndReset(spy, 1, 2); // fail
     *
     * spy(3);
     * spy(4);
     * expectSingleCallAndReset(spy, 3); // fail
     * ```
     */
    function expectSingleCallAndReset(spy) {
        var _a;
        var params = [];
        for (var _i = 1; _i < arguments.length; _i++) {
            params[_i - 1] = arguments[_i];
        }
        expect(spy).toHaveBeenCalledTimes(1);
        (_a = expect(spy)).toHaveBeenCalledWith.apply(_a, __spread(params));
        spy.calls.reset();
    }

    /** @hidden */
    var proxyTarget = Symbol('proxy target'); // trick from https://stackoverflow.com/a/53431924/1836506
    /** @hidden */
    function synchronize(obj) {
        return new Proxy(obj, {
            get: function (target, p, receiver) {
                if (p === proxyTarget) {
                    return obj;
                }
                else {
                    return synchronizeAny(Reflect.get(target, p, receiver));
                }
            },
            apply: function (target, thisArg, argArray) {
                thisArg = microDash.get(thisArg, [proxyTarget], thisArg);
                return synchronizeAny(Reflect.apply(target, thisArg, argArray));
            },
        });
    }
    /** @hidden */
    function synchronizeAny(value) {
        if (jsCore.isPromiseLike(value)) {
            return synchronizePromise(value);
        }
        else if (microDash.isObject(value)) {
            return synchronize(value);
        }
        else {
            return value;
        }
    }
    /** @hidden */
    function synchronizePromise(promise) {
        var awaited;
        promise.then(function (value) { return (awaited = value); });
        testing.tick();
        // TODO: a nice error if the promise didn't resolve
        return synchronizeAny(awaited);
    }

    /** @hidden */
    var FakeAsyncHarnessEnvironment = /** @class */ (function (_super) {
        __extends(FakeAsyncHarnessEnvironment, _super);
        function FakeAsyncHarnessEnvironment(rawRootElement, ctx) {
            var _this = _super.call(this, rawRootElement) || this;
            _this.ctx = ctx;
            return _this;
        }
        FakeAsyncHarnessEnvironment.documentRootLoader = function (ctx) {
            return synchronize(new FakeAsyncHarnessEnvironment(document.body, ctx));
        };
        FakeAsyncHarnessEnvironment.prototype.waitForTasksOutsideAngular = function () {
            return __awaiter(this, void 0, void 0, function () {
                return __generator(this, function (_a) {
                    testing.flush();
                    return [2 /*return*/];
                });
            });
        };
        FakeAsyncHarnessEnvironment.prototype.forceStabilize = function () {
            return __awaiter(this, void 0, void 0, function () {
                return __generator(this, function (_a) {
                    this.ctx.tick();
                    return [2 /*return*/];
                });
            });
        };
        FakeAsyncHarnessEnvironment.prototype.createEnvironment = function (element) {
            return new FakeAsyncHarnessEnvironment(element, this.ctx);
        };
        FakeAsyncHarnessEnvironment.prototype.createTestElement = function (element) {
            return new testbed.UnitTestElement(element, microDash.bindKey(this, 'forceStabilize'));
        };
        FakeAsyncHarnessEnvironment.prototype.getAllRawElements = function (selector) {
            return __awaiter(this, void 0, void 0, function () {
                return __generator(this, function (_a) {
                    return [2 /*return*/, Array.from(this.rawRootElement.querySelectorAll(selector))];
                });
            });
        };
        FakeAsyncHarnessEnvironment.prototype.getDocumentRoot = function () {
            return document.body;
        };
        return FakeAsyncHarnessEnvironment;
    }(testing$1.HarnessEnvironment));

    /** @hidden */
    function extendMetadata(metadata, toAdd) {
        var result = microDash.clone(metadata);
        microDash.forOwn(toAdd, function (val, key) {
            result[key] = Array.isArray(result[key]) ? result[key].concat(val) : val;
        });
        return result;
    }
    /**
     * @deprecated Use {@link AngularContextNext} instead. This old version will be removed in a future version, and `AngularContextNext` will be renamed to `AngularContext`.
     *
     * Some notes to migrate to the new version:
     * - For any tests that were passing inputs to `.run()`, instead call `.assignInputs()` before `.run()`.
     */
    var AngularContext = /** @class */ (function () {
        /**
         * @param moduleMetadata passed along to [TestBed.configureTestingModule()]{@linkcode https://angular.io/api/core/testing/TestBed#configureTestingModule}. Automatically includes {@link HttpClientTestingModule} for you.
         */
        function AngularContext(moduleMetadata) {
            if (moduleMetadata === void 0) { moduleMetadata = {}; }
            /**
             * Set this before calling `run()` to mock the time at which the test starts.
             */
            this.startTime = new Date();
            this.loader = FakeAsyncHarnessEnvironment.documentRootLoader(this);
            testing.TestBed.configureTestingModule(extendMetadata(moduleMetadata, { imports: [testing$2.HttpClientTestingModule] }));
        }
        AngularContext.prototype.run = function (optionsOrTest, test) {
            var _this = this;
            var options = {};
            if (microDash.isFunction(optionsOrTest)) {
                test = optionsOrTest;
            }
            else {
                options = optionsOrTest;
            }
            this.runWithMockedTime(function () {
                jsCore.assert(test);
                _this.init(options);
                try {
                    test();
                    _this.verifyPostTestConditions();
                }
                finally {
                    _this.cleanUp();
                }
            });
        };
        /**
         * Gets a service or other injectable from the root injector. This implementation is a simple pass-through to [TestBed.inject()]{@linkcode https://angular.io/api/core/testing/TestBed#inject}, but subclasses may provide their own implementation. It is recommended to use this in your tests instead of using `TestBed` directly.
         */
        AngularContext.prototype.inject = function (token) {
            return testing.TestBed.inject(token);
        };
        /**
         * Gets a component harness, wrapped for use in a fakeAsync test so that you do not need to `await` its results. Throws an error if no match can be located.
         */
        AngularContext.prototype.getHarness = function (query) {
            return this.loader.getHarness(query);
        };
        /**
         * Gets a component harness, wrapped for use in a fakeAsync test so that you do not need to `await` its results. Returns `null` if the harness cannot be located.
         */
        AngularContext.prototype.getHarnessForOptional = function (query) {
            return this.loader.locatorForOptional(query)();
        };
        /**
         * Gets all component harnesses that match the query, wrapped for use in a fakeAsync test so that you do not need to `await` its results.
         */
        AngularContext.prototype.getAllHarnesses = function (query) {
            return this.loader.getAllHarnesses(query);
        };
        /**
         * Advance time and trigger change detection. It is common to call this with no arguments to trigger change detection without advancing time.
         *
         * @param unit The unit of time `amount` represents. Accepts anything described in `@s-libs/s-core`'s [TimeUnit]{@linkcode https://simontonsoftware.github.io/s-js-utils/typedoc/enums/timeunit.html} enum.
         */
        AngularContext.prototype.tick = function (amount, unit) {
            if (amount === void 0) { amount = 0; }
            if (unit === void 0) { unit = 'ms'; }
            // To simulate real life, trigger change detection before processing macro tasks. To further simulate real life, wait until the micro task queue is empty.
            testing.flushMicrotasks();
            this.runChangeDetection();
            testing.tick(jsCore.convertTime(amount, unit, 'ms'));
            this.runChangeDetection();
        };
        /**
         * This is a hook for subclasses to override. It is called during `run()`, before the `test()` callback. This implementation does nothing, but if you override this it is still recommended to call `super.init(options)` in case this implementation does something in the future.
         */
        AngularContext.prototype.init = function (_options) { };
        /** @hidden */
        AngularContext.prototype.runChangeDetection = function () {
            this.inject(core.ApplicationRef).tick();
        };
        /**
         * Runs post-test verifications. This base implementation runs [HttpTestingController#verify]{@linkcode https://angular.io/api/common/http/testing/HttpTestingController#verify}. Unlike {@link #cleanUp}, it is OK for this method to throw an error to indicate a violation.
         */
        AngularContext.prototype.verifyPostTestConditions = function () {
            this.inject(testing$2.HttpTestingController).verify();
        };
        /**
         * Performs any cleanup needed at the end of each test. This base implementation calls [discardPeriodicTasks]{@linkcode https://angular.io/api/core/testing/discardPeriodicTasks} to avoid an error from the `fakeAsync` zone.
         */
        AngularContext.prototype.cleanUp = function () {
            testing.discardPeriodicTasks();
        };
        AngularContext.prototype.runWithMockedTime = function (test) {
            var _this = this;
            // https://github.com/angular/angular/issues/31677#issuecomment-573139551
            var now = performance.now;
            spyOn(performance, 'now').and.callFake(function () { return Date.now(); });
            jasmine.clock().install();
            testing.fakeAsync(function () {
                jasmine.clock().mockDate(_this.startTime);
                test();
            })();
            jasmine.clock().uninstall();
            performance.now = now;
        };
        return AngularContext;
    }());

    /** @hidden */
    function extendMetadata$1(metadata, toAdd) {
        var result = microDash.clone(metadata);
        microDash.forOwn(toAdd, function (val, key) {
            result[key] = Array.isArray(result[key]) ? result[key].concat(val) : val;
        });
        return result;
    }
    /**
     * Provides the foundation for an opinionated testing pattern.
     * - All test are run in the `fakeAsync` zone. This gives you full control over
     *   the timing of everything by default.
     * - Variables that are initialized for each test exist in a context that is
     *   thrown away, so they cannot leak between tests.
     * - Clearly separates initialization code from the test itself.
     * - Gives control over the simulated date & time with a single line of code.
     * - Automatically includes {@link HttpClientTestingModule} to stub network requests without additional setup.
     * - Always verifies no unexpected http requests were made during a test.
     * - Always discards periodic tasks at the end of each test to automatically
     *   avoid an error from the `fakeAsync` zone.
     *
     * Why does the class name end with "Next"? This replaces the old `AngularContext`, but it's a breaking change so this gives people some time to transition over. Eventually the old one will be removed and this will be renamed to `AngularContext`.
     *
     * This example tests a simple service that uses HttpClient, and is tested by using `AngularContextNext` directly. More often `AngularContextNext` will be used a super class. See {@link ComponentContextNext} for more common use cases.
     *
     * ```ts
     * // This is the class we will test.
     * @Injectable({ providedIn: 'root' })
     * class MemoriesService {
     *   constructor(private httpClient: HttpClient) {}
     *
     *   getLastYearToday(): Observable<any> {
     *     const datetime = new Date();
     *     datetime.setFullYear(datetime.getFullYear() - 1);
     *     const date = datetime.toISOString().split('T')[0];
     *     return this.httpClient.get(`http://example.com/post-from/${date}`);
     *   }
     * }
     *
     * describe('MemoriesService', () => {
     *   // Tests should have exactly 1 variable outside an "it": `ctx`.
     *   let ctx: AngularContextNext;
     *   beforeEach(() => {
     *     ctx = new AngularContextNext();
     *   });
     *
     *   it('requests a post from 1 year ago', () => {
     *     // Before calling `run`, set up any context variables this test needs.
     *     ctx.startTime = new Date('2004-02-16T10:15:00.000Z');
     *
     *     // Pass the test itself as a callback to `run()`.
     *     ctx.run(() => {
     *       const httpBackend = ctx.inject(HttpTestingController);
     *       const myService = ctx.inject(MemoriesService);
     *
     *       myService.getLastYearToday().subscribe();
     *
     *       httpBackend.expectOne('http://example.com/post-from/2003-02-16');
     *     });
     *   });
     * });
     * ```
     */
    var AngularContextNext = /** @class */ (function () {
        /**
         * @param moduleMetadata passed along to [TestBed.configureTestingModule()]{@linkcode https://angular.io/api/core/testing/TestBed#configureTestingModule}. Automatically includes {@link HttpClientTestingModule} for you.
         */
        function AngularContextNext(moduleMetadata) {
            if (moduleMetadata === void 0) { moduleMetadata = {}; }
            /**
             * Set this before calling `run()` to mock the time at which the test starts.
             */
            this.startTime = new Date();
            testing.TestBed.configureTestingModule(extendMetadata$1(moduleMetadata, { imports: [testing$2.HttpClientTestingModule] }));
        }
        /**
         * Runs `test` in a `fakeAsync` zone. It can use async/await, but be sure anything you `await` is already due to execute (e.g. if a timeout is due in 3 seconds, call `.tick(3000)` before `await`ing its result).
         *
         * Also runs the following in this order, all within the same zone:
         *
         * 1. `this.init()`
         * 2. `test()`
         * 3. `this.verifyPostTestConditions()`
         * 4. `this.cleanUp()`
         */
        AngularContextNext.prototype.run = function (test) {
            var _this = this;
            this.runWithMockedTime(function () {
                _this.init();
                try {
                    test();
                    _this.tick();
                    _this.verifyPostTestConditions();
                }
                finally {
                    _this.cleanUp();
                }
            });
        };
        /**
         * Gets a service or other injectable from the root injector. This implementation is a simple pass-through to [TestBed.inject()]{@linkcode https://angular.io/api/core/testing/TestBed#inject}, but subclasses may provide their own implementation. It is recommended to use this in your tests instead of using `TestBed` directly.
         */
        AngularContextNext.prototype.inject = function (token) {
            return testing.TestBed.inject(token);
        };
        /**
         * Advance time and trigger change detection. It is common to call this with no arguments to trigger change detection without advancing time.
         *
         * @param unit The unit of time `amount` represents. Accepts anything described in `@s-libs/s-core`'s [TimeUnit]{@linkcode https://simontonsoftware.github.io/s-js-utils/typedoc/enums/timeunit.html} enum.
         */
        AngularContextNext.prototype.tick = function (amount, unit) {
            if (amount === void 0) { amount = 0; }
            if (unit === void 0) { unit = 'ms'; }
            // To simulate real life, trigger change detection before processing macro tasks. To further simulate real life, wait until the micro task queue is empty.
            testing.flushMicrotasks();
            this.runChangeDetection();
            testing.tick(jsCore.convertTime(amount, unit, 'ms'));
            this.runChangeDetection();
        };
        /**
         * This is a hook for subclasses to override. It is called during `run()`, before the `test()` callback. This implementation does nothing, but if you override this it is still recommended to call `super.init()` in case this implementation does something in the future.
         */
        AngularContextNext.prototype.init = function () { };
        /** @hidden */
        AngularContextNext.prototype.runChangeDetection = function () {
            this.inject(core.ApplicationRef).tick();
        };
        /**
         * Runs post-test verifications. This base implementation runs [HttpTestingController#verify]{@linkcode https://angular.io/api/common/http/testing/HttpTestingController#verify}. Unlike {@link #cleanUp}, it is OK for this method to throw an error to indicate a violation.
         */
        AngularContextNext.prototype.verifyPostTestConditions = function () {
            this.inject(testing$2.HttpTestingController).verify();
        };
        /**
         * Performs any cleanup needed at the end of each test. This base implementation calls [discardPeriodicTasks]{@linkcode https://angular.io/api/core/testing/discardPeriodicTasks} to avoid an error from the `fakeAsync` zone.
         */
        AngularContextNext.prototype.cleanUp = function () {
            testing.discardPeriodicTasks();
        };
        AngularContextNext.prototype.runWithMockedTime = function (test) {
            var _this = this;
            // https://github.com/angular/angular/issues/31677#issuecomment-573139551
            var now = performance.now;
            spyOn(performance, 'now').and.callFake(function () { return Date.now(); });
            jasmine.clock().install();
            testing.fakeAsync(function () {
                jasmine.clock().mockDate(_this.startTime);
                test();
            })();
            jasmine.clock().uninstall();
            performance.now = now;
        };
        return AngularContextNext;
    }());

    /** @hidden */
    var initialStyles;
    /**
     * When called at the right times, this speeds up your test suite by removing `<script>` tags that Angular component tests leave in the DOM. By default Angular dynamically adds `<script>` tags into the `<head>` of the document corresponding to component styles. In Jasmine tests they are never cleaned up. This can cause hundreds or even thousands of style tags to accumulate, making component tests slow down as your test suite runs. In Chrome debugger's performance tab, this time will show up under the activity "Recalculate Style".
     *
     * The first time this function is called it memorizes the `<script>` tags in the DOM, then each time it is called after it removes any that appeared since. A simple way to use this effectively is to call it in a `beforeEach()`.
     *
     * ```ts
     * beforeEach(() => {
     *   trimLeftoverStyles();
     * });
     * ```
     */
    function trimLeftoverStyles() {
        var e_1, _a;
        var styles = new Set(Array.from(document.querySelectorAll('style')));
        if (initialStyles) {
            try {
                for (var styles_1 = __values(styles), styles_1_1 = styles_1.next(); !styles_1_1.done; styles_1_1 = styles_1.next()) {
                    var style = styles_1_1.value;
                    if (!initialStyles.has(style)) {
                        style.remove();
                    }
                }
            }
            catch (e_1_1) { e_1 = { error: e_1_1 }; }
            finally {
                try {
                    if (styles_1_1 && !styles_1_1.done && (_a = styles_1.return)) _a.call(styles_1);
                }
                finally { if (e_1) throw e_1.error; }
            }
        }
        else {
            initialStyles = styles;
        }
    }
    /** @hidden */
    function resetTrimLeftoverStyles() {
        initialStyles = undefined;
    }

    /**
     * @deprecated Use {@link ComponentContextNext} instead. This old version will be removed in a future version, and `ComponentContextNext` will be renamed to `ComponentContext`.
     *
     * Some notes to migrate to the new version:
     * - Change "input" to "inputs" in calls to `.run({ input: {...}}, ...)`
     * - Any variables you set in "inputs" must now be actual angular `@Input()`s
     * - `ctx.fixture` is now for a synthetic wrapper component, not your component. Change `ctx.fixture.componentInstance` to `ctx.getComponentInstance()`
     * - If your component has an input with a default value that you want to preserve, pass it in the constructor's `unboundInputs` argument.
     */
    var ComponentContext = /** @class */ (function (_super) {
        __extends(ComponentContext, _super);
        /**
         * @param moduleMetadata passed along to [TestBed.configureTestingModule()]{@linkcode https://angular.io/api/core/testing/TestBed#configureTestingModule}. Automatically includes {@link NoopAnimationsModule}, in addition to those provided by {@link AngularContext}.
         */
        function ComponentContext(moduleMetadata) {
            if (moduleMetadata === void 0) { moduleMetadata = {}; }
            return _super.call(this, extendMetadata(moduleMetadata, { imports: [animations.NoopAnimationsModule] })) || this;
        }
        /**
         * Constructs and initializes your component. Called during `.run()` before it executes the rest of your test. Runs in the same `fakeAsync` zone as the rest of your test.
         */
        ComponentContext.prototype.init = function (options) {
            trimLeftoverStyles();
            _super.prototype.init.call(this, options);
            this.fixture = testing.TestBed.createComponent(this.componentType);
            Object.assign(this.fixture.componentInstance, options.input);
            this.fixture.detectChanges();
            this.tick();
        };
        /** @hidden */
        ComponentContext.prototype.runChangeDetection = function () {
            this.fixture.detectChanges();
        };
        /**
         * Performs any cleanup needed at the end of each test. This implementation destroys {@link fixture} and calls the super implementation.
         */
        ComponentContext.prototype.cleanUp = function () {
            this.fixture.destroy();
            _super.prototype.cleanUp.call(this);
        };
        return ComponentContext;
    }(AngularContext));

    /** @hidden */
    var FakeAsyncHarnessEnvironmentNext = /** @class */ (function (_super) {
        __extends(FakeAsyncHarnessEnvironmentNext, _super);
        function FakeAsyncHarnessEnvironmentNext(rawRootElement, ctx) {
            var _this = _super.call(this, rawRootElement) || this;
            _this.ctx = ctx;
            return _this;
        }
        FakeAsyncHarnessEnvironmentNext.documentRootLoader = function (ctx) {
            return new FakeAsyncHarnessEnvironmentNext(document.body, ctx);
        };
        FakeAsyncHarnessEnvironmentNext.prototype.waitForTasksOutsideAngular = function () {
            return __awaiter(this, void 0, void 0, function () {
                return __generator(this, function (_a) {
                    testing.flush();
                    return [2 /*return*/];
                });
            });
        };
        FakeAsyncHarnessEnvironmentNext.prototype.forceStabilize = function () {
            return __awaiter(this, void 0, void 0, function () {
                return __generator(this, function (_a) {
                    this.ctx.tick();
                    return [2 /*return*/];
                });
            });
        };
        FakeAsyncHarnessEnvironmentNext.prototype.createEnvironment = function (element) {
            return new FakeAsyncHarnessEnvironmentNext(element, this.ctx);
        };
        FakeAsyncHarnessEnvironmentNext.prototype.createTestElement = function (element) {
            return new testbed.UnitTestElement(element, microDash.bindKey(this, 'forceStabilize'));
        };
        FakeAsyncHarnessEnvironmentNext.prototype.getAllRawElements = function (selector) {
            return __awaiter(this, void 0, void 0, function () {
                return __generator(this, function (_a) {
                    return [2 /*return*/, Array.from(this.rawRootElement.querySelectorAll(selector))];
                });
            });
        };
        FakeAsyncHarnessEnvironmentNext.prototype.getDocumentRoot = function () {
            return document.body;
        };
        return FakeAsyncHarnessEnvironmentNext;
    }(testing$1.HarnessEnvironment));

    /** @hidden */
    function createDynamicWrapper(componentType, unboundInputs) {
        var selector = getSelector(componentType);
        var inputMetas = getInputMetas(componentType).filter(function (_b) {
            var property = _b.property;
            return !unboundInputs.includes(property);
        });
        var DynamicWrapperComponent = /** @class */ (function () {
            function DynamicWrapperComponent() {
                this.inputs = {};
                this.styles = {};
            }
            return DynamicWrapperComponent;
        }());
        DynamicWrapperComponent.decorators = [
            { type: core.Component, args: [{ template: buildTemplate(selector, inputMetas) },] }
        ];
        var type = DynamicWrapperComponent;
        var inputProperties = inputMetas.map(function (meta) { return meta.property; });
        return { type: type, inputProperties: inputProperties };
    }
    /** @hidden */
    function getSelector(componentType) {
        var _a;
        var annotations = Reflect.getOwnPropertyDescriptor(componentType, '__annotations__');
        jsCore.assert(annotations, 'That does not appear to be a component');
        var selector = (_a = annotations.value.find(function (decorator) { return decorator.selector; })) === null || _a === void 0 ? void 0 : _a.selector;
        if (!isValidSelector(selector)) {
            selector = 's-libs-component-under-test';
            testing.TestBed.overrideComponent(componentType, { set: { selector: selector } });
        }
        return selector;
    }
    /** @hidden */
    function isValidSelector(selector) {
        if (!selector) {
            return false;
        }
        try {
            document.createElement(selector);
            return true;
        }
        catch (_a) {
            return false;
        }
    }
    /** @hidden */
    function getInputMetas(componentType) {
        // I tried making this support inputs with special characters in their names, but it turns out that *Angular* can only support that when using AOT. So our *dynamic* wrapper cannot.
        return microDash.flatMap(componentType.propDecorators, function (decorators, property) {
            var inputDecorators = decorators.filter(function (decorator) { return decorator.type.prototype.ngMetadataName === 'Input'; });
            return inputDecorators.map(function (decorator) {
                var _a;
                var binding = ((_a = decorator.args) === null || _a === void 0 ? void 0 : _a[0]) || property;
                return { property: property, binding: binding };
            });
        });
    }
    /** @hidden */
    function buildTemplate(selector, inputMetas) {
        var bindingStrings = inputMetas.map(function (_b) {
            var binding = _b.binding, property = _b.property;
            return "[" + binding + "]=\"inputs." + property + "\"";
        });
        return "\n    <div class=\"s-libs-dynamic-wrapper\" [ngStyle]=\"styles\">\n      <" + selector + " " + bindingStrings.join(' ') + "></" + selector + ">\n    </div>\n  ";
    }

    /**
     * A superclass to set up testing contexts for components. This is a foundation for an opinionated testing pattern, including everything described in {@link AngularContextNext} plus:
     *
     * - Automatically creates your component at the beginning of `run()`.
     * - Wraps your component in a dynamically created parent component. (This sets up Angular to call `ngOnChanges()` in your tests the same way it does in production.)
     * - Lets you use {@link https://material.angular.io/cdk/test-harnesses/overview|component harnesses} (which are normally not usable within a `fakeAsync` test).
     * - Automatically disables animations.
     * - Automatically integrates {@link trimLeftoverStyles} to speed up your test suite.
     *
     * Why does the class name end with "Next"? This replaces the old `ComponentContext`, but it's a breaking change so this gives people some time to transition over. Eventually the old one will be removed and this will be renamed to `ComponentContext`.
     *
     * A very simple example:
     * ```ts
     * @Component({ template: 'Hello, {{name}}!' })
     * class GreeterComponent {
     *   @Input() name!: string;
     * }
     *
     * it('greets you by name', () => {
     *   const ctx = new ComponentContextNext(GreeterComponent);
     *   ctx.assignInputs({ name: 'World' });
     *   ctx.run(() => {
     *     expect(ctx.fixture.nativeElement.textContent).toBe('Hello, World!');
     *   });
     * });
     * ```
     *
     * A full example, with routing and a component harness. This is the full code for a tiny Angular app:
     * ```ts
     * /////////////////
     * // app-context.ts
     *
     * // To re-use your context setup, make a subclass of ComponentContext to
     * // import into any spec
     * class AppContext extends ComponentContextNext<AppComponent> {
     *   constructor() {
     *     super(AppComponent, {
     *       imports: [
     *         // This is your production `AppModule`. Make sure it exports `AppComponent`
     *         AppModule,
     *         // Import `routes` from your `app-routing.module.ts`
     *         RouterTestingModule.withRoutes(routes),
     *       ],
     *     });
     *   }
     * }
     *
     * ////////////////////////
     * // app.component.spec.ts
     *
     * describe('AppComponent', () => {
     *   let ctx: AppContext;
     *   beforeEach(() => {
     *     ctx = new AppContext();
     *   });
     *
     *   it('can navigate to the first page', () => {
     *     ctx.run(() => {
     *       ctx.getHarness(AppComponentHarness).navigateToFirstPage();
     *       expect(ctx.fixture.nativeElement.textContent).toContain(
     *         'First works!',
     *       );
     *     });
     *   });
     * });
     *
     * ///////////////////////////
     * // app.component.harness.ts
     *
     * // A simple component harness to demonstrate its integration with component contexts. Note that everything here is asynchronous, but is treated as synchronous in tests. This is a trick in AngularContexts so harnesses can be used in the fakeAsync zone.
     * class AppComponentHarness extends ComponentHarness {
     *   static hostSelector = 'app-root';
     *
     *   private getFirstPageLink = this.locatorFor('a');
     *
     *   async navigateToFirstPage(): Promise<void> {
     *     const link = await this.getFirstPageLink();
     *     await link.click();
     *   }
     * }
     *
     * /////////////////////
     * // first.component.ts
     *
     * // A minimal component for demonstration purposes
     * @Component({ template: '<p>First works!</p>' })
     * class FirstComponent {}
     *
     * ///////////////////
     * // app.component.ts
     *
     * // A minimal app component with routing for demonstration purposes
     * @Component({
     *   selector: 'app-root',
     *   template: `
     *     <a routerLink="/first-page">First Page</a>
     *     <router-outlet></router-outlet>
     *   `,
     * })
     * class AppComponent {}
     *
     * ////////////////////////
     * // app-routing.module.ts
     *
     * // exported for use in tests
     * const routes: Routes = [{ path: 'first-page', component: FirstComponent }];
     *
     * @NgModule({
     *   imports: [RouterModule.forRoot(routes)],
     *   exports: [RouterModule],
     * })
     * class AppRoutingModule {}
     *
     * ////////////////
     * // app.module.ts
     *
     * // A minimal app module. Notice the added export.
     * @NgModule({
     *   declarations: [AppComponent, FirstComponent],
     *   imports: [BrowserModule, BrowserAnimationsModule, AppRoutingModule],
     *   bootstrap: [AppComponent],
     *   exports: [AppComponent], // exported for use in tests
     * })
     * class AppModule {}
     * ```
     */
    var ComponentContextNext = /** @class */ (function (_super) {
        __extends(ComponentContextNext, _super);
        /**
         * @param componentType `run()` will create a component of this type before running the rest of your test.
         * @param moduleMetadata passed along to [TestBed.configureTestingModule()]{@linkcode https://angular.io/api/core/testing/TestBed#configureTestingModule}. Automatically includes {@link NoopAnimationsModule}, in addition to those provided by {@link AngularContextNext}.
         * @param unboundInputs By default a synthetic parent component will be created that binds to all your component's inputs. Pass input names here that should NOT be bound. This is useful e.g. to test the default value of an input.
         */
        function ComponentContextNext(componentType, moduleMetadata, unboundInputs) {
            if (moduleMetadata === void 0) { moduleMetadata = {}; }
            if (unboundInputs === void 0) { unboundInputs = []; }
            var _this = this;
            var wrapper = createDynamicWrapper(componentType, unboundInputs);
            _this = _super.call(this, extendMetadata(moduleMetadata, {
                imports: [animations.NoopAnimationsModule],
                declarations: [wrapper.type, componentType],
            })) || this;
            _this.componentType = componentType;
            _this.wrapperType = wrapper.type;
            _this.inputProperties = new Set(wrapper.inputProperties);
            _this.inputs = {};
            _this.wrapperStyles = {};
            return _this;
        }
        /**
         * Assign css styles to the div wrapping your component. Can be called before or during `run()`. Accepts an object with the same structure as the {@link https://angular.io/api/common/NgStyle|ngStyle directive}.
         *
         * ```ts
         * ctx.assignWrapperStyles({
         *   width: '400px',
         *   height: '600px',
         *   margin: '20px auto',
         *   border: '1px solid',
         * });
         * ```
         */
        ComponentContextNext.prototype.assignWrapperStyles = function (styles) {
            Object.assign(this.wrapperStyles, styles);
            if (this.isInitialized()) {
                this.flushStylesToWrapper();
                this.tick();
            }
        };
        /**
         * Assign inputs passed into your component. Can be called before `run()` to set the initial inputs, or within `run()` to update them and trigger all the appropriate change detection and lifecycle hooks.
         */
        ComponentContextNext.prototype.assignInputs = function (inputs) {
            var e_1, _a;
            try {
                for (var _b = __values(microDash.keys(inputs)), _c = _b.next(); !_c.done; _c = _b.next()) {
                    var key = _c.value;
                    if (!this.inputProperties.has(key)) {
                        throw new Error("Cannot bind to \"" + key + "\" (it is not an input, or you passed it in `unboundProperties`)");
                    }
                }
            }
            catch (e_1_1) { e_1 = { error: e_1_1 }; }
            finally {
                try {
                    if (_c && !_c.done && (_a = _b.return)) _a.call(_b);
                }
                finally { if (e_1) throw e_1.error; }
            }
            Object.assign(this.inputs, inputs);
            if (this.isInitialized()) {
                this.flushInputsToWrapper();
                this.tick();
            }
        };
        /**
         * Use within `run()` to get your instantiated component that is on the page.
         */
        ComponentContextNext.prototype.getComponentInstance = function () {
            return this.fixture.debugElement.query(platformBrowser.By.directive(this.componentType))
                .componentInstance;
        };
        /**
         * Gets a component harness, wrapped for use in a fakeAsync test so that you do not need to `await` its results. Throws an error if no match can be located.
         */
        ComponentContextNext.prototype.getHarness = function (query) {
            return this.loader.getHarness(query);
        };
        /**
         * Gets all component harnesses that match the query, wrapped for use in a fakeAsync test so that you do not need to `await` its results.
         */
        ComponentContextNext.prototype.getAllHarnesses = function (query) {
            return this.loader.getAllHarnesses(query);
        };
        /**
         * Constructs and initializes your component. Called during `run()` before it executes the rest of your test. Runs in the same `fakeAsync` zone as the rest of your test.
         */
        ComponentContextNext.prototype.init = function () {
            trimLeftoverStyles();
            _super.prototype.init.call(this);
            this.fixture = testing.TestBed.createComponent(this.wrapperType);
            this.loader = FakeAsyncHarnessEnvironmentNext.documentRootLoader(this);
            this.flushStylesToWrapper();
            this.flushInputsToWrapper();
            this.fixture.detectChanges();
            this.tick();
        };
        /** @hidden */
        ComponentContextNext.prototype.runChangeDetection = function () {
            this.fixture.detectChanges();
        };
        /**
         * Performs any cleanup needed at the end of each test. This implementation destroys {@link fixture} and calls the super implementation.
         */
        ComponentContextNext.prototype.cleanUp = function () {
            this.fixture.destroy();
            _super.prototype.cleanUp.call(this);
        };
        ComponentContextNext.prototype.isInitialized = function () {
            return !!this.fixture;
        };
        ComponentContextNext.prototype.flushInputsToWrapper = function () {
            Object.assign(this.getWrapperComponentInstance().inputs, this.inputs);
        };
        ComponentContextNext.prototype.flushStylesToWrapper = function () {
            Object.assign(this.getWrapperComponentInstance().styles, this.wrapperStyles);
        };
        ComponentContextNext.prototype.getWrapperComponentInstance = function () {
            return this.fixture.componentInstance;
        };
        return ComponentContextNext;
    }(AngularContextNext));

    /**
     * Designed for temporary use when a test using `fakeAsync` is giving you "Error: X timer(s) still in the queue", and you don't know what they are. Call this at the top of the test to see everything that adds a timer printed to the JS console. In Chrome you can click the function in the console output to be taken directly to its definition in the Sources tab.
     *
     * Be sure to call this _inside_ the test, not before, to get the most useful output.
     *
     * @returns a function to stop the logging
     *
     * ```ts
     * it('definitely does not set any timeouts', fakeAsync(() => {
     *   const stopLogging = logTimers();
     *
     *   doTheRestOfMyTest();
     *
     *   stopLogging();
     * }));
     * ```
     */
    function logTimers() {
        var restoreTimeouts = jsCore.wrapMethod(window, 'setTimeout', {
            before: function () {
                var args = [];
                for (var _i = 0; _i < arguments.length; _i++) {
                    args[_i] = arguments[_i];
                }
                console.log.apply(console, __spread(['setTimeout('], args, [')']));
            },
        });
        var restoreIntervals = jsCore.wrapMethod(window, 'setInterval', {
            before: function () {
                var args = [];
                for (var _i = 0; _i < arguments.length; _i++) {
                    args[_i] = arguments[_i];
                }
                console.log.apply(console, __spread(['setInterval('], args, [')']));
            },
        });
        return function () {
            restoreTimeouts();
            restoreIntervals();
        };
    }

    /**
     * A helper to take some boilerplate out of RxJS's new marble testing API for jasmine.
     *
     * ```ts
     * it("doubles numbers", marbleTest(({ cold, expectObservable }) => {
     *   const source = cold("-1-2-3-|");
     *   const expected = "   -2-4-6-|");
     *   expectObservable(source.pipe(double())).toBe(expected);
     * }));
     * ```
     */
    function marbleTest(callback) {
        var testScheduler = new testing$3.TestScheduler(function (actual, expected) {
            expect(actual).toEqual(expected);
        });
        return function () { return testScheduler.run(function (helpers) { return callback(Object.assign(Object.assign({}, helpers), { testScheduler: testScheduler })); }); };
    }

    /**
     * Use this to speed up your angular test suite. Normally when you call `TestBed.compileComponents()`, it recompiles all the configured components even if it has compiled them before in a previous test. AoT compilation would be a great fix, but is not well supported/documented for tests yet. This function fills the gap by precompiling the components as if by AoT and setting up `TestBed` to use them.
     *
     * ```ts
     * // let's assume `AppModule` declares or imports a `HelloWorldComponent`
     * precompileForTests([AppModule]);
     *
     * // Everything below here is the same as normal. Just add the line above.
     *
     * describe("AppComponent", () => {
     *   it("says hello", async () => {
     *     TestBed.configureTestingModule({ declarations: [HelloWorldComponent] });
     *     await TestBed.compileComponents(); // <- this line is faster
     *     const fixture = TestBed.createComponent(HelloWorldComponent);
     *     expect(fixture.nativeElement.textContent).toContain("Hello, world!");
     *   });
     * });
     * ```
     *
     * Note that this uses `TestBed.initTestEnvironment` to set up the precompiled components, so you will not be able to use it yourself at the same time.
     *
     * @deprecated This is no longer needed with Ivy.
     */
    function precompileForTests(modules, skipModules) {
        var _this = this;
        if (skipModules === void 0) { skipModules = []; }
        beforeAll(function () { return __awaiter(_this, void 0, void 0, function () {
            var metadataResolver;
            return __generator(this, function (_a) {
                switch (_a.label) {
                    case 0:
                        metadataResolver = optionallyInject(compiler.CompileMetadataResolver);
                        if (!metadataResolver) {
                            console.warn("precompileForTests() is no longer needed with Ivy. Skipping.");
                            return [2 /*return*/];
                        }
                        testing.TestBed.configureTestingModule({ imports: modules });
                        return [4 /*yield*/, testing.TestBed.compileComponents()];
                    case 1:
                        _a.sent();
                        testing.TestBed.resetTestEnvironment();
                        testing.TestBed.initTestEnvironment(testing$4.BrowserDynamicTestingModule, testing$4.platformBrowserDynamicTesting(), function () { return extractAotSummaries(metadataResolver, modules, new Set(skipModules)); });
                        return [2 /*return*/];
                }
            });
        }); });
    }
    // TODO: this could be a public function
    /** @hidden */
    function optionallyInject(token) {
        return testing.TestBed.inject(token, null, core.InjectFlags.Optional);
    }
    /** @hidden */
    function extractAotSummaries(metadataResolver, modules, skipModules) {
        return modules.map(function (module) { return function () { return extractAotSummaries0(metadataResolver, module, skipModules); }; });
    }
    /** @hidden */
    function extractAotSummaries0(metadataResolver, module, skipModules) {
        if (skipModules.has(module)) {
            return [];
        }
        skipModules.add(module);
        var moduleMetadata = metadataResolver.getNgModuleMetadata(module);
        return [
            metadataResolver.getNgModuleSummary(module),
            function () { return extractDirectives(moduleMetadata, metadataResolver); },
            function () { return extractPipes(moduleMetadata, metadataResolver); },
            function () { return extractAotSummaries(metadataResolver, extractImports(moduleMetadata), skipModules); },
        ];
    }
    /** @hidden */
    function extractDirectives(moduleMetadata, metadataResolver) {
        return moduleMetadata.declaredDirectives.map(function (directive) { return metadataResolver.getDirectiveSummary(directive.reference); });
    }
    /** @hidden */
    function extractPipes(moduleMetadata, metadataResolver) {
        return moduleMetadata.declaredPipes.map(function (pipe) { return metadataResolver.getPipeSummary(pipe.reference); });
    }
    /** @hidden */
    function extractImports(moduleMetadata) {
        return moduleMetadata.importedModules.map(function (importedModule) { return importedModule.type.reference; });
    }

    /*
     * Public API Surface of ng-dev
     */

    /**
     * Generated bundle index. Do not edit.
     */

    exports.AngularContext = AngularContext;
    exports.AngularContextNext = AngularContextNext;
    exports.AsyncMethodController = AsyncMethodController;
    exports.ComponentContext = ComponentContext;
    exports.ComponentContextNext = ComponentContextNext;
    exports.TestCall = TestCall;
    exports.createSpyObject = createSpyObject;
    exports.expectCallsAndReset = expectCallsAndReset;
    exports.expectSingleCallAndReset = expectSingleCallAndReset;
    exports.logTimers = logTimers;
    exports.marbleTest = marbleTest;
    exports.precompileForTests = precompileForTests;
    exports.trimLeftoverStyles = trimLeftoverStyles;

    Object.defineProperty(exports, '__esModule', { value: true });

})));
//# sourceMappingURL=s-libs-ng-dev.umd.js.map
